com.informix.jdbc

## Interface IfmxComplexSQLInput

All Superinterfaces:
  java.sql.SQLInput

All Known Implementing Classes:
  IfxComplexInput

    public interface IfmxComplexSQLInput
    extends java.sql.SQLInput

The IfmxComplexSQLInput interface contains Informix extensions to the SQLInput interface. This interface is specific to Informix complex types.

### Method Summary

All Methods Instance Methods Abstract Methods
`IfxUDTInfo` `getUDTInfo(int xid)` Get general information about opaque and distinct types and detailed information for complex types.
`IfxUDTInfo` `getUDTInfo(java.lang.String name, java.lang.String owner)` Get general information about opaque and distinct types and detailed information for complex types.
`Interval` `readInterval()` Reads the next attribute as an Informix Interval.

### Methods inherited from interface java.sql.SQLInput

`readArray, readAsciiStream, readBigDecimal, readBinaryStream, readBlob, readBoolean, readByte, readBytes, readCharacterStream, readClob, readDate, readDouble, readFloat, readInt, readLong, readNClob, readNString, readObject, readObject, readRef, readRowId, readShort, readSQLXML, readString, readTime, readTimestamp, readURL, wasNull`

### Method Detail

#### readInterval

    Interval readInterval()
                   throws java.sql.SQLException

Reads the next attribute as an Informix Interval.

Returns:
  the attribute as an Informix Interval.
Throws:
  `java.sql.SQLException`
See Also:
  `Interval`, `IntervalYM`, `IntervalDF`

#### getUDTInfo

    IfxUDTInfo getUDTInfo(int xid)
                   throws java.sql.SQLException

Get general information about opaque and distinct types and detailed information for complex types. Calls IfmxConnection.getUDTInfo(int)

Parameters:
  `xid` - Is the extended id found in sysxtdtype system catalog.
Returns:
  The detailed type information as an Informix IfxUDTInfo.
Throws:
  `java.sql.SQLException`

#### getUDTInfo

    IfxUDTInfo getUDTInfo(java.lang.String name,
                          java.lang.String owner)
                   throws java.sql.SQLException

Get general information about opaque and distinct types and detailed information for complex types. Calls IfmxConnection.getUDTInfo(String name, String owner)

Parameters:
  `name` - The data type name.
  `owner` - The owner of the data type (can be null).
Returns:
  The detailed type information as an Informix IfxUDTInfo.
Throws:
  `java.sql.SQLException`